<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3103
Name: Insurance Section
Description: Abschnitt mit den Versichertendaten, die nicht in den Header passen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3103-2016-02-25T185555">
   <title>Insurance Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3103
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]
Item: (InsuranceSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3103
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]
Item: (InsuranceSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]"
         id="d18e654-false-d7330e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3103'])&gt;=1">(InsuranceSection): Element hl7:templateId[@root='1.2.276.0.76.10.3103'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3103'])&lt;=1">(InsuranceSection): Element hl7:templateId[@root='1.2.276.0.76.10.3103'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="count(hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(InsuranceSection): Element hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="count(hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(InsuranceSection): Element hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="count(hl7:title)&gt;=1">(InsuranceSection): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="count(hl7:title)&lt;=1">(InsuranceSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3103
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]/hl7:templateId[@root='1.2.276.0.76.10.3103']
Item: (InsuranceSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]/hl7:templateId[@root='1.2.276.0.76.10.3103']"
         id="d18e656-false-d7385e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InsuranceSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="string(@root)=('1.2.276.0.76.10.3103')">(InsuranceSection): Der Wert von @root MUSS '1.2.276.0.76.10.3103' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3103
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]/hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (InsuranceSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]/hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d18e661-false-d7401e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="@nullFlavor or (@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')">(InsuranceSection): Der Elementinhalt MUSS einer von 'code '48768-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3103
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]/hl7:title
Item: (InsuranceSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]/hl7:title"
         id="d18e666-false-d7415e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(InsuranceSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="text()='Versicherung'">(InsuranceSection): Der Elementinhalt von 'hl7:title' MUSS ''Versicherung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3103
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4263']]]
Item: (InsuranceSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3103']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4263']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="@typeCode">(InsuranceSection): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(InsuranceSection): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.3103-2016-02-25T185555.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(InsuranceSection): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
