<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4271
Name: DMP Observation
Description: Mit dieser Observation wird die DMP-Zuordnung angegeben. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4271-2017-12-01T140113">
   <title>DMP Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4271
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]
Item: (DMPObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4271
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]
Item: (DMPObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]"
         id="d18e1926-false-d12114e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(DMPObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="string(@moodCode)=('EVN')">(DMPObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4271'])&gt;=1">(DMPObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4271'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4271'])&lt;=1">(DMPObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4271'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="count(hl7:code[(@code='DMP' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')])&gt;=1">(DMPObservation): Element hl7:code[(@code='DMP' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="count(hl7:code[(@code='DMP' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')])&lt;=1">(DMPObservation): Element hl7:code[(@code='DMP' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&gt;=1">(DMPObservation): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)])&lt;=1">(DMPObservation): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4271
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]/hl7:templateId[@root='1.2.276.0.76.10.4271']
Item: (DMPObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]/hl7:templateId[@root='1.2.276.0.76.10.4271']"
         id="d18e1932-false-d12165e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DMPObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="string(@root)=('1.2.276.0.76.10.4271')">(DMPObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4271' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4271
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]/hl7:code[(@code='DMP' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')]
Item: (DMPObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]/hl7:code[(@code='DMP' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')]"
         id="d18e1937-false-d12181e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DMPObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="@nullFlavor or (@code='DMP' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(DMPObservation): Der Elementinhalt MUSS einer von 'code 'DMP' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4271
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]
Item: (DMPObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4271']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)]"
         id="d18e1942-false-d12201e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DMPObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4271-2017-12-01T140113.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.138-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(DMPObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.138 S_KBV_DMP (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
