<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4272
Name: ASV Observation
Description: Mit dieser Observation wird die ASV-Zuordnung angegeben. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4272-2017-11-29T181727">
   <title>ASV Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4272
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]
Item: (ASVObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4272
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]
Item: (ASVObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]"
         id="d18e1965-false-d12241e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(ASVObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="string(@moodCode)=('EVN')">(ASVObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4272'])&gt;=1">(ASVObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4272'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4272'])&lt;=1">(ASVObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4272'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="count(hl7:code[(@code='ASV' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')])&gt;=1">(ASVObservation): Element hl7:code[(@code='ASV' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="count(hl7:code[(@code='ASV' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')])&lt;=1">(ASVObservation): Element hl7:code[(@code='ASV' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(ASVObservation): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(ASVObservation): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4272
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]/hl7:templateId[@root='1.2.276.0.76.10.4272']
Item: (ASVObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]/hl7:templateId[@root='1.2.276.0.76.10.4272']"
         id="d18e1971-false-d12289e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ASVObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="string(@root)=('1.2.276.0.76.10.4272')">(ASVObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4272' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4272
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]/hl7:code[(@code='ASV' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')]
Item: (ASVObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]/hl7:code[(@code='ASV' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')]"
         id="d18e1976-false-d12305e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ASVObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="@nullFlavor or (@code='ASV' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(ASVObservation): Der Elementinhalt MUSS einer von 'code 'ASV' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4272
Context: *[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]/hl7:value[not(@nullFlavor)]
Item: (ASVObservation)
-->

   <rule context="*[hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]]/hl7:observation[@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4272']]/hl7:value[not(@nullFlavor)]"
         id="d18e1981-false-d12322e0">
      <extends rule="BL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20180105T134346/tmp-1.2.276.0.76.10.4272-2017-11-29T181727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ASVObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
